from django.http import JsonResponse
from django.shortcuts import render
from django.views.decorators.csrf import csrf_exempt
from rest_framework.parsers import JSONParser
# Create your views here.
from rest_app.models import Student
from rest_app.serializers import StudentSerializer
from rest_framework.decorators import api_view
from rest_framework.response import Response


@csrf_exempt#不检测跨域攻击
# @api_view()
def students(request):
    if request.method=="GET":
        student_li= Student.objects.all()#所有学生信息
        serializer =StudentSerializer(student_li,many=True)
        return JsonResponse(serializer.data,safe=False)

    elif request.method=="POST":
        data = JSONParser().parse(request)#将字节串转换成字典
        serializer = StudentSerializer(data=data)#将字典数据反序列化，这里的data一定不能用位置参数进行传参
        #进一步验证
        if serializer.is_valid():
            serializer.save()#保存在数据库
            return JsonResponse(serializer.data,status=201)
        return  JsonResponse(serializer.errors,status=400)

